diff -ruN vdr-1.7.12/CONTRIBUTORS vdr-1.7.13/CONTRIBUTORS
--- vdr-1.7.12/CONTRIBUTORS	2010-01-17 16:18:28.000000000 +0100
+++ vdr-1.7.13/CONTRIBUTORS	2010-02-28 14:36:26.000000000 +0100
@@ -1091,6 +1091,7 @@
  for a patch that was used to implement handling the "component descriptor" ("genre")
  for a patch that was used to implement handling the "parental rating descriptor"
  suggesting to add plain text error messages to log entries from cOsd::SetAreas()
+ for keeping subtitles visible when pausing replay
 
 Ralf Klueber <ralf.klueber@vodafone.com>
  for reporting a bug in cutting a recording if there is only a single editing mark
@@ -1244,6 +1245,10 @@
  for reporting a bug in storing the current OSD size in case the
  device has changed it in its setup menu
  for increasing the value of MAXFRAMESIZE to better suit HD recordings
+ for improving handling frames at the beginning and end of a recording in cDvbPlayer
+ for devices with large buffers
+ for implementing cDeviceHook
+ for implementing cDevice::GetCurrentlyTunedTransponder()
 
 Richard Robson <richard_robson@beeb.net>
  for reporting freezing replay if a timer starts while in Transfer Mode from the
@@ -1678,6 +1683,7 @@
  for suggesting to make the function ExchangeChars()
  for reporting duplicate texts in i18n.c
  for suggesting to use 'gettext' for internationalization
+ for exporting some libsi functions
 
 Mattias Grönlund <Mattias@Gronlund.net>
  for pointing out a missing cleanup at program exit in case there is a problem
@@ -2292,6 +2298,7 @@
  for suggesting to use an "instance id" instead of the "resume id" to distinguish
  recordings of the same broadcast made by different instances of VDR
  for fixing EntriesOnSameFileSystem() to avoid using f_fsid, which may be 0
+ for fixing the German translation of "Folder name must not contain '%c'!"
 
 Jörn Reder <joern@zyn.de>
  for reporting that a recording may unnecessarily block a device with a CAM, while
@@ -2377,6 +2384,10 @@
 Halim Sahin <halim.sahin@t-online.de>
  for reporting that the channels.conf file was not written when stopping VDR after
  deleting or moving a channel in the Channels menu
+ for suggesting to add a note to the MANUAL, saying that adding new transponders only
+ works if the "EPG scan" is active
+ for reporting a problem with adding new transponders in case there is only a single
+ channel in the channel list
 
 Denis Knauf <denis.knauf@gmail.com>
  for reporting a missing '-' at the next to last line of SVDRP help texts
@@ -2459,6 +2470,7 @@
 
 Alexander Gross <Bikalexander@gmail.com>
  for adding Russian translations to the 'skincurses' and 'pictures' plugins
+ for changing the position of Sirius 4 to S4.8E in sources.conf
 
 Adrian Caval <anrxc@sysphere.org>
  for translating OSD texts to the Croatian language
@@ -2553,3 +2565,6 @@
 
 Matti Lehtimäki <matti.lehtimaki@gmail.com>
  for implementing the setup option "Miscellaneous/Channels wrap"
+
+Stephan Austermühle <au@hcsd.de>
+ for suggesting to flush the file in cSafeFile::Close()
diff -ruN vdr-1.7.12/HISTORY vdr-1.7.13/HISTORY
--- vdr-1.7.12/HISTORY	2010-01-31 13:47:02.000000000 +0100
+++ vdr-1.7.13/HISTORY	2010-02-28 15:27:43.000000000 +0100
@@ -6308,3 +6308,78 @@
   When replaying such a recording, the PCR packets are sent to PlayTsVideo()
 - The files "commands.conf" and "reccmd.conf" can now contain nested lists of
   commands. See vdr.5 for information about the new file format.
+  This obsoletes the CMDSUBMENU patch.
+
+2010-02-28: Version 1.7.13
+
+- Updated the Italian OSD texts (thanks to Diego Pierotto).
+- Changed the position of Sirius 4 to S4.8E in sources.conf (thanks to Alexander Gross).
+- Updated the Finnish OSD texts (thanks to Rolf Ahrenberg).
+- Moved the declaration of cMenuCommands to menu.h, so that plugins can use it.
+- Added a note to the MANUAL, saying that adding new transponders only works if the
+  "EPG scan" is active (suggested by Halim Sahim).
+- Improved handling frames at the beginning and end of a recording in cDvbPlayer for
+  devices with large buffers (thanks to Reinhard Nissl).
+- Implemented cDeviceHook to allow plugins more control over which device can
+  provide which transponder (thanks to Reinhard Nissl).
+- Implemented cDevice::GetCurrentlyTunedTransponder() (thanks to Reinhard Nissl).
+- Moved strictly necessary Makefile options into Make.global, which is included
+  by all plugins (thanks to Paul Menzel). The Makefiles of existing plugins should be
+  modified like this:
+
+  ------------------------------------------------------------
+  --- PLUGINS/src/hello/Makefile  2009/10/18 14:00:07      2.1
+  +++ PLUGINS/src/hello/Makefile  2010/02/06 14:50:03      2.2
+  @@ -18,7 +18,7 @@
+   ### The C++ compiler and options:
+
+   CXX      ?= g++
+  -CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual -Wno-parentheses
+  +CXXFLAGS ?= -g -O2 -Wall -Woverloaded-virtual -Wno-parentheses
+
+   ### The directory environment:
+
+  @@ -26,6 +26,10 @@
+   LIBDIR = ../../lib
+   TMPDIR = /tmp
+
+  +### Make sure that necessary options are included:
+  +
+  +include $(VDRDIR)/Make.global
+  +
+   ### Allow user defined options to overwrite defaults:
+
+   -include $(VDRDIR)/Make.config
+  ------------------------------------------------------------
+- Added device definitions to the diseqc.conf file format, so that certain satellite
+  positions can be limited to a given list of devices.
+  This obsoletes the SOURCECAPS patch.
+- Keeping subtitles visible when pausing replay (thanks to Rolf Ahrenberg).
+- Fixed adding new transponders in case there is only a single channel in the
+  channel list (reported by Halim Sahin).
+- The file name in the "Timers" menu now shows only the base name of the recording
+  without the folder path (if any). Otherwise with long folder paths the actual
+  recording name was not visible at all.
+- Updated the Romanian OSD texts (thanks to Lucian Muresan).
+- Exported some libsi functions (thanks to Lucian Muresan).
+- Improved scalability of the default skins.
+- Fixed the German translation of "Folder name must not contain '%c'!" (thanks to
+  Frank Schmirler).
+- Updated the Estonian OSD texts (thanks to Arthur Konovalov).
+- Plugins can now define new sources. In order to implement this, the following
+  changes were made:
+  + The transponder parameter string is no longer interpreted by cChannel, but rather
+    stored as is and used only by the respective device. That way plugins can use a
+    channel's parameter string to store arbitrary data (see vdr.5).
+  + The new class cSourceParam can be used by plugins to define new sources, and to
+    implement OSD items that will be used in the channel editor for editing the source
+    specific parameters of a channel (see dvbdevice.c for an example of how this is
+    done for the default DVB devices).
+  + Purely numerical values are no longer accepted in the 'source' parameter of a
+    channel.
+  This obsoletes the PLUGINPARAM patch.
+- Updated the Lithuanian OSD texts (thanks to Valdemaras Pipiras).
+- cSafeFile::Close() now flushes the file (suggested by Stephan Austermühle).
+- The option "Setup/DVB/Use Dolby Digital" now only controls whether Dolby Digital
+  tracks appear in the "Audio" menu. Dolby Digital is always recorded.
+  This obsoletes the DOLBYINREC patch.
diff -ruN vdr-1.7.12/MANUAL vdr-1.7.13/MANUAL
--- vdr-1.7.12/MANUAL	2010-01-17 16:13:40.000000000 +0100
+++ vdr-1.7.13/MANUAL	2010-02-28 15:23:46.000000000 +0100
@@ -675,17 +675,17 @@
                          4:3.
 
   Use Dolby Digital = yes
-                         Turns recording of the Dolby Digital audio channels on
-                         or off. This may be useful if you don't have the equipment
-                         to replay Dolby Digital audio and want to save disk space.
-                         If turned off, Dolby Digital tracks also don't appear in the
-                         "Audio" menu.
+                         Controls whether Dolby Digital tracks appear in the "Audio"
+                         menu. This is useful if you don't have the equipment to
+                         replay Dolby Digital audio.
 
   Update channels = 5    Controls the automatic channel update function. '0' means
                          no update, '1' will only update channel names, '2' will
                          only update PIDs, '3' will update channel names and PIDs,
                          '4' will perform all updates and also add newly found channels,
                          and '5' will also add newly found transponders.
+                         Note that adding new transponders only works if the "EPG scan"
+                         is active.
 
   Audio languages = 0    Some tv stations broadcast various audio tracks in different
                          languages. This option allows you to define which language(s)
diff -ruN vdr-1.7.12/Make.config.template vdr-1.7.13/Make.config.template
--- vdr-1.7.12/Make.config.template	2009-01-18 11:46:13.000000000 +0100
+++ vdr-1.7.13/Make.config.template	2010-02-06 15:50:03.000000000 +0100
@@ -6,7 +6,7 @@
 # See the main source file 'vdr.c' for copyright information and
 # how to reach the author.
 #
-# $Id: Make.config.template 2.1 2009/01/18 10:46:13 kls Exp $
+# $Id: Make.config.template 2.2 2010/02/06 14:50:03 kls Exp $
 
 ### The C compiler and options:
 
@@ -19,7 +19,6 @@
 ifdef PLUGIN
 CFLAGS   += -fPIC
 CXXFLAGS += -fPIC
-DEFINES += -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
 endif
 
 ### The directory environment:
diff -ruN vdr-1.7.12/Make.global vdr-1.7.13/Make.global
--- vdr-1.7.12/Make.global	1970-01-01 01:00:00.000000000 +0100
+++ vdr-1.7.13/Make.global	2010-02-06 15:54:12.000000000 +0100
@@ -0,0 +1,17 @@
+#
+# Strictly necessary Makefile options for the Video Disk Recorder
+#
+# See the main source file 'vdr.c' for copyright information and
+# how to reach the author.
+#
+# $Id: Make.global 1.1 2010/02/06 14:54:12 kls Exp $
+
+# Plugins need to be compiled with position independent code, otherwise linking
+# VDR against it will fail.
+
+ifdef PLUGIN
+CFLAGS   += -fPIC
+CXXFLAGS += -fPIC
+endif
+
+DEFINES += -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
diff -ruN vdr-1.7.12/Makefile vdr-1.7.13/Makefile
--- vdr-1.7.12/Makefile	2010-01-17 13:32:18.000000000 +0100
+++ vdr-1.7.13/Makefile	2010-02-21 12:44:38.000000000 +0100
@@ -4,7 +4,7 @@
 # See the main source file 'vdr.c' for copyright information and
 # how to reach the author.
 #
-# $Id: Makefile 2.6 2010/01/17 12:32:18 kls Exp $
+# $Id: Makefile 2.8 2010/02/21 11:44:38 kls Exp $
 
 .DELETE_ON_ERROR:
 
@@ -32,6 +32,7 @@
 DOXYGEN  = /usr/bin/doxygen
 DOXYFILE = Doxyfile
 
+include Make.global
 -include Make.config
 
 SILIB    = $(LSIDIR)/libsi.a
@@ -40,7 +41,7 @@
        dvbplayer.o dvbspu.o dvbsubtitle.o eit.o eitscan.o epg.o filter.o font.o i18n.o interface.o keys.o\
        lirc.o menu.o menuitems.o nit.o osdbase.o osd.o pat.o player.o plugin.o rcu.o\
        receiver.o recorder.o recording.o remote.o remux.o ringbuffer.o sdt.o sections.o shutdown.o\
-       skinclassic.o skins.o skinsttng.o sources.o spu.o status.o svdrp.o themes.o thread.o\
+       skinclassic.o skins.o skinsttng.o sourceparams.o sources.o spu.o status.o svdrp.o themes.o thread.o\
        timers.o tools.o transfer.o vdr.o videodir.o
 
 ifndef NO_KBD
@@ -60,8 +61,6 @@
 
 DEFINES += -D_GNU_SOURCE
 
-DEFINES += -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
-
 DEFINES += -DVIDEODIR=\"$(VIDEODIR)\"
 DEFINES += -DCONFDIR=\"$(CONFDIR)\"
 DEFINES += -DPLUGINDIR=\"$(PLUGINLIBDIR)\"
diff -ruN vdr-1.7.12/PLUGINS/src/dvbsddevice/Makefile vdr-1.7.13/PLUGINS/src/dvbsddevice/Makefile
--- vdr-1.7.12/PLUGINS/src/dvbsddevice/Makefile	2009-12-29 12:53:18.000000000 +0100
+++ vdr-1.7.13/PLUGINS/src/dvbsddevice/Makefile	2010-02-06 15:50:03.000000000 +0100
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.1 2009/12/29 11:53:18 kls Exp $
+# $Id: Makefile 1.2 2010/02/06 14:50:03 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -18,7 +18,7 @@
 ### The C++ compiler and options:
 
 CXX      ?= g++
-CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual -Wno-parentheses
+CXXFLAGS ?= -g -O2 -Wall -Woverloaded-virtual -Wno-parentheses
 
 ### The directory environment:
 
@@ -26,6 +26,10 @@
 LIBDIR = ../../lib
 TMPDIR = /tmp
 
+### Make sure that necessary options are included:
+
+include $(VDRDIR)/Make.global
+
 ### Allow user defined options to overwrite defaults:
 
 -include $(VDRDIR)/Make.config
@@ -45,8 +49,6 @@
 
 DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
 
-DEFINES += -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
-
 ### The object files (add further files here):
 
 OBJS = $(PLUGIN).o dvbsdffdevice.o dvbsdffosd.o
diff -ruN vdr-1.7.12/PLUGINS/src/hello/HISTORY vdr-1.7.13/PLUGINS/src/hello/HISTORY
--- vdr-1.7.12/PLUGINS/src/hello/HISTORY	2009-12-06 13:29:11.000000000 +0100
+++ vdr-1.7.13/PLUGINS/src/hello/HISTORY	2010-02-28 13:49:18.000000000 +0100
@@ -70,3 +70,7 @@
 2009-12-06: Version 0.2.4
 
 - Several code modifications to avoid compiler warnings (thanks to Winfried Köhler).
+
+2010-02-28: Version 0.2.5
+
+- Added Lithuanian language translations (thanks to Valdemaras Pipiras).
diff -ruN vdr-1.7.12/PLUGINS/src/hello/Makefile vdr-1.7.13/PLUGINS/src/hello/Makefile
--- vdr-1.7.12/PLUGINS/src/hello/Makefile	2009-10-18 16:00:07.000000000 +0200
+++ vdr-1.7.13/PLUGINS/src/hello/Makefile	2010-02-06 15:50:03.000000000 +0100
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 2.1 2009/10/18 14:00:07 kls Exp $
+# $Id: Makefile 2.2 2010/02/06 14:50:03 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -18,7 +18,7 @@
 ### The C++ compiler and options:
 
 CXX      ?= g++
-CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual -Wno-parentheses
+CXXFLAGS ?= -g -O2 -Wall -Woverloaded-virtual -Wno-parentheses
 
 ### The directory environment:
 
@@ -26,6 +26,10 @@
 LIBDIR = ../../lib
 TMPDIR = /tmp
 
+### Make sure that necessary options are included:
+
+include $(VDRDIR)/Make.global
+
 ### Allow user defined options to overwrite defaults:
 
 -include $(VDRDIR)/Make.config
diff -ruN vdr-1.7.12/PLUGINS/src/hello/hello.c vdr-1.7.13/PLUGINS/src/hello/hello.c
--- vdr-1.7.12/PLUGINS/src/hello/hello.c	2009-12-06 13:30:15.000000000 +0100
+++ vdr-1.7.13/PLUGINS/src/hello/hello.c	2010-02-28 13:49:28.000000000 +0100
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: hello.c 2.2 2009/12/06 12:30:15 kls Exp $
+ * $Id: hello.c 2.3 2010/02/28 12:49:28 kls Exp $
  */
 
 #include <getopt.h>
@@ -12,7 +12,7 @@
 #include <vdr/interface.h>
 #include <vdr/plugin.h>
 
-static const char *VERSION        = "0.2.4";
+static const char *VERSION        = "0.2.5";
 static const char *DESCRIPTION    = trNOOP("A friendly greeting");
 static const char *MAINMENUENTRY  = trNOOP("Hello");
 
diff -ruN vdr-1.7.12/PLUGINS/src/osddemo/Makefile vdr-1.7.13/PLUGINS/src/osddemo/Makefile
--- vdr-1.7.12/PLUGINS/src/osddemo/Makefile	2008-01-13 14:00:01.000000000 +0100
+++ vdr-1.7.13/PLUGINS/src/osddemo/Makefile	2010-02-06 15:50:03.000000000 +0100
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 2.0 2008/01/13 13:00:01 kls Exp $
+# $Id: Makefile 2.1 2010/02/06 14:50:03 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -16,7 +16,7 @@
 ### The C++ compiler and options:
 
 CXX      ?= g++
-CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual -Wno-parentheses
+CXXFLAGS ?= -g -O2 -Wall -Woverloaded-virtual -Wno-parentheses
 
 ### The directory environment:
 
@@ -24,6 +24,10 @@
 LIBDIR = ../../lib
 TMPDIR = /tmp
 
+### Make sure that necessary options are included:
+
+include $(VDRDIR)/Make.global
+
 ### Allow user defined options to overwrite defaults:
 
 -include $(VDRDIR)/Make.config
diff -ruN vdr-1.7.12/PLUGINS/src/pictures/HISTORY vdr-1.7.13/PLUGINS/src/pictures/HISTORY
--- vdr-1.7.12/PLUGINS/src/pictures/HISTORY	2009-12-06 13:29:15.000000000 +0100
+++ vdr-1.7.13/PLUGINS/src/pictures/HISTORY	2010-02-28 13:49:50.000000000 +0100
@@ -37,3 +37,7 @@
 2009-12-06: Version 0.0.8
 
 - Several code modifications to avoid compiler warnings (thanks to Winfried Köhler).
+
+2010-02-28: Version 0.0.9
+
+- Added Lithuanian language translations (thanks to Valdemaras Pipiras).
diff -ruN vdr-1.7.12/PLUGINS/src/pictures/Makefile vdr-1.7.13/PLUGINS/src/pictures/Makefile
--- vdr-1.7.12/PLUGINS/src/pictures/Makefile	2009-10-18 16:02:41.000000000 +0200
+++ vdr-1.7.13/PLUGINS/src/pictures/Makefile	2010-02-06 15:50:03.000000000 +0100
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 2.1 2009/10/18 14:02:41 kls Exp $
+# $Id: Makefile 2.2 2010/02/06 14:50:03 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -18,7 +18,7 @@
 ### The C++ compiler and options:
 
 CXX      ?= g++
-CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual -Wno-parentheses
+CXXFLAGS ?= -g -O2 -Wall -Woverloaded-virtual -Wno-parentheses
 
 ### The directory environment:
 
@@ -26,6 +26,10 @@
 LIBDIR = ../../lib
 TMPDIR = /tmp
 
+### Make sure that necessary options are included:
+
+include $(VDRDIR)/Make.global
+
 ### Allow user defined options to overwrite defaults:
 
 -include $(VDRDIR)/Make.config
diff -ruN vdr-1.7.12/PLUGINS/src/pictures/pictures.c vdr-1.7.13/PLUGINS/src/pictures/pictures.c
--- vdr-1.7.12/PLUGINS/src/pictures/pictures.c	2009-12-06 13:30:21.000000000 +0100
+++ vdr-1.7.13/PLUGINS/src/pictures/pictures.c	2010-02-28 13:49:55.000000000 +0100
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: pictures.c 2.1 2009/12/06 12:30:21 kls Exp $
+ * $Id: pictures.c 2.2 2010/02/28 12:49:55 kls Exp $
  */
 
 #include <getopt.h>
@@ -11,7 +11,7 @@
 #include "menu.h"
 #include "player.h"
 
-static const char *VERSION       = "0.0.8";
+static const char *VERSION       = "0.0.9";
 static const char *DESCRIPTION   = trNOOP("A simple picture viewer");
 static const char *MAINMENUENTRY = trNOOP("Pictures");
 
diff -ruN vdr-1.7.12/PLUGINS/src/servicedemo/Makefile vdr-1.7.13/PLUGINS/src/servicedemo/Makefile
--- vdr-1.7.12/PLUGINS/src/servicedemo/Makefile	2008-01-13 14:00:07.000000000 +0100
+++ vdr-1.7.13/PLUGINS/src/servicedemo/Makefile	2010-02-06 15:50:03.000000000 +0100
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 2.0 2008/01/13 13:00:07 kls Exp $
+# $Id: Makefile 2.1 2010/02/06 14:50:03 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -18,7 +18,7 @@
 ### The C++ compiler and options:
 
 CXX      ?= g++
-CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual -Wno-parentheses
+CXXFLAGS ?= -g -O2 -Wall -Woverloaded-virtual -Wno-parentheses
 
 ### The directory environment:
 
@@ -26,6 +26,10 @@
 LIBDIR = ../../lib
 TMPDIR = /tmp
 
+### Make sure that necessary options are included:
+
+include $(VDRDIR)/Make.global
+
 ### Allow user defined options to overwrite defaults:
 
 -include $(VDRDIR)/Make.config
diff -ruN vdr-1.7.12/PLUGINS/src/skincurses/HISTORY vdr-1.7.13/PLUGINS/src/skincurses/HISTORY
--- vdr-1.7.12/PLUGINS/src/skincurses/HISTORY	2010-01-03 15:24:50.000000000 +0100
+++ vdr-1.7.13/PLUGINS/src/skincurses/HISTORY	2010-02-28 13:50:08.000000000 +0100
@@ -84,3 +84,7 @@
 
 - Displaying "genre" in event descriptions.
 - Displaying "parental rating" in event descriptions.
+
+2010-02-28: Version 0.1.9
+
+- Added Lithuanian language translations (thanks to Valdemaras Pipiras).
diff -ruN vdr-1.7.12/PLUGINS/src/skincurses/Makefile vdr-1.7.13/PLUGINS/src/skincurses/Makefile
--- vdr-1.7.12/PLUGINS/src/skincurses/Makefile	2009-10-18 16:03:30.000000000 +0200
+++ vdr-1.7.13/PLUGINS/src/skincurses/Makefile	2010-02-06 15:50:03.000000000 +0100
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 2.1 2009/10/18 14:03:30 kls Exp $
+# $Id: Makefile 2.2 2010/02/06 14:50:03 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -18,7 +18,7 @@
 ### The C++ compiler and options:
 
 CXX      ?= g++
-CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual -Wno-parentheses
+CXXFLAGS ?= -g -O2 -Wall -Woverloaded-virtual -Wno-parentheses
 
 ### The directory environment:
 
@@ -26,6 +26,10 @@
 LIBDIR = ../../lib
 TMPDIR = /tmp
 
+### Make sure that necessary options are included:
+
+include $(VDRDIR)/Make.global
+
 ### Allow user defined options to overwrite defaults:
 
 -include $(VDRDIR)/Make.config
diff -ruN vdr-1.7.12/PLUGINS/src/skincurses/skincurses.c vdr-1.7.13/PLUGINS/src/skincurses/skincurses.c
--- vdr-1.7.12/PLUGINS/src/skincurses/skincurses.c	2010-01-03 15:59:16.000000000 +0100
+++ vdr-1.7.13/PLUGINS/src/skincurses/skincurses.c	2010-02-28 13:50:13.000000000 +0100
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: skincurses.c 2.3 2010/01/03 14:59:16 kls Exp $
+ * $Id: skincurses.c 2.4 2010/02/28 12:50:13 kls Exp $
  */
 
 #include <ncurses.h>
@@ -11,7 +11,7 @@
 #include <vdr/plugin.h>
 #include <vdr/skins.h>
 
-static const char *VERSION        = "0.1.8";
+static const char *VERSION        = "0.1.9";
 static const char *DESCRIPTION    = trNOOP("A text only skin");
 static const char *MAINMENUENTRY  = NULL;
 
diff -ruN vdr-1.7.12/PLUGINS/src/status/Makefile vdr-1.7.13/PLUGINS/src/status/Makefile
--- vdr-1.7.12/PLUGINS/src/status/Makefile	2008-01-13 14:00:18.000000000 +0100
+++ vdr-1.7.13/PLUGINS/src/status/Makefile	2010-02-06 15:50:03.000000000 +0100
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 2.0 2008/01/13 13:00:18 kls Exp $
+# $Id: Makefile 2.1 2010/02/06 14:50:03 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -16,7 +16,7 @@
 ### The C++ compiler and options:
 
 CXX      ?= g++
-CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual -Wno-parentheses
+CXXFLAGS ?= -g -O2 -Wall -Woverloaded-virtual -Wno-parentheses
 
 ### The directory environment:
 
@@ -24,6 +24,10 @@
 LIBDIR = ../../lib
 TMPDIR = /tmp
 
+### Make sure that necessary options are included:
+
+include $(VDRDIR)/Make.global
+
 ### Allow user defined options to overwrite defaults:
 
 -include $(VDRDIR)/Make.config
diff -ruN vdr-1.7.12/PLUGINS/src/svdrpdemo/Makefile vdr-1.7.13/PLUGINS/src/svdrpdemo/Makefile
--- vdr-1.7.12/PLUGINS/src/svdrpdemo/Makefile	2008-01-13 14:00:20.000000000 +0100
+++ vdr-1.7.13/PLUGINS/src/svdrpdemo/Makefile	2010-02-06 15:50:03.000000000 +0100
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 2.0 2008/01/13 13:00:20 kls Exp $
+# $Id: Makefile 2.1 2010/02/06 14:50:03 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -16,7 +16,7 @@
 ### The C++ compiler and options:
 
 CXX      ?= g++
-CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual -Wno-parentheses
+CXXFLAGS ?= -g -O2 -Wall -Woverloaded-virtual -Wno-parentheses
 
 ### The directory environment:
 
@@ -24,6 +24,10 @@
 LIBDIR = ../../lib
 TMPDIR = /tmp
 
+### Make sure that necessary options are included:
+
+include $(VDRDIR)/Make.global
+
 ### Allow user defined options to overwrite defaults:
 
 -include $(VDRDIR)/Make.config
